Name:           system-user-grommunio
Version:        10
Release:        0
Summary:        General grommunio system user identities
License:        MIT
Group:          System/Fhs
URL:            https://grommunio.com/
BuildArch:      noarch
BuildRequires:  systemd-rpm-macros
Obsoletes:      system-user-groweb < %version-%release
Provides:       system-user-groweb = %version-%release
%if 0%{?suse_version}
BuildRequires:  sysuser-tools
%sysusers_requires
%else
Requires(pre):  /usr/sbin/useradd
Requires(pre):  /usr/sbin/groupadd
%endif

%description
This package provides identities related to the Grommunio groupware suite:
* the "grommunio" user identity for running the Administration API
  (usually an uwsgi process instance); AAPI needs to read
  mysql_adaptor.cfg and ldap_adaptor.cfg, so is added to group
  gromoxcf
* the "groweb" user identity for running PHP-FPM workers
* the "groweb" group identity for marking data to be consumed by the
  groweb identity but also created by grommunio-index, e.g. groweb
  search indexes
* the "groindex" user identity for running the indexer service; this
  needs to read mysql_adaptor.cfg so is added to group gromoxcf

%prep

%build
>user.pre
%if 0%{?suse_version}
%sysusers_generate_pre %_sourcedir/system-user-grommunio.conf user system-user-grommunio.conf
%endif

%install
install -Dpm0644 %_sourcedir/system-user-grommunio.conf "%buildroot/%_sysusersdir/system-user-grommunio.conf"

%pre -f user.pre
%if 0%{?rhel} || 0%{?fedora_version}
%sysusers_create_compat %_sourcedir/system-user-grommunio.conf
%endif

%files
%_sysusersdir/*.conf

%changelog
